Saxon API for .NET |

# XdmNode Methods

The methods of the XdmNode class are listed below. For a complete list of XdmNode class members, see the XdmNode Members topic.

#### Public Instance Methods

EnumerateAxis | Overloaded. Get an enumerator that supplies all the nodes on one of the XPath axes, starting with this node.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetAttributeValue | Get a the string value of a named attribute of this element.
GetEnumerator (inherited from XdmValue) | Get the sequence of items in the form of an `IEnumerator`
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetList (inherited from XdmValue) | Get the sequence of items in the form of an `IList`
GetType (inherited from Object) | Gets the Type of the current instance.
IsAtomic | Determine whether the item is an atomic value
ToString | Return a string representation of the node.
Unwrap (inherited from XdmValue) | Extract the underlying Saxon ValueRepresentation object from an XdmValue. This method is provided for the benefit of applications that need to mix use of the Saxon .NET API with direct use of the underlying objects and methods offered by the Java implementation.
WriteTo | Send the node (that is, the subtree rooted at this node) to an `XmlTextWriter`

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

XdmNode Class | Saxon.Api Namespace